Name:           yoltia
Version:        0.22.1
Release:        2%{?dist}
Summary:        Qt based picture editing program
Summary(pl):    Graficzny edytor oparty na Qt
Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://freenet-homepage.de/%{name}/
Source0:        http://freenet-homepage.de/%{name}/dl/%{name}-%{version}.tar.bz2
Source1:        %{name}.desktop
Patch0:         yoltia-0.22.1-gcc43.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  qt-devel desktop-file-utils

%description
Yoltia is a computer program for editing image files. It provides the 
functionality to do simple changes to a large number of pictures quickly and 
very comfortable and exactly. Most of its usage is done via hotkeys. Yoltia is
written for Linux systems and published as free software under GPL.

%description -l pl
Yoltia to komputerowy program do edycji graficznych plików. Udostępnia
funkcjonalne wykonanie prostych zmian w dużej ilości obrazków szybko i bardzo
wygodnie. Program umożliwia korzystanie ze skrótów klawiszowych. Yoltia
napisana jest w języku dla systemów Linuks i publikowana jako darmowe
oprogramowanie pod licencją GPL.

%prep
%setup -q
%patch0 -p1

%build
qmake src/%{name}.pro
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -m 755 -p %{name} $RPM_BUILD_ROOT%{_bindir}
install -m 644 -p %{name}.xpm $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -m 644 -p src/%{name}_de.ts $RPM_BUILD_ROOT%{_datadir}/%{name}

desktop-file-install --vendor="fedora"               \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications         \
  %{SOURCE1}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHOR BUGS CHANGELOG COPYING MANUAL README TODO
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.xpm
%{_datadir}/applications/fedora-%{name}.desktop

%changelog
* Fri Feb 08 2008 Krzysztof Kurzawski <kurzawax at gmail.com> - 0.22.1-2
- Add yoltia-0.22.1-gcc43 patch

* Fri Feb 08 2008 Krzysztof Kurzawski <kurzawax at gmail.com> - 0.22.1-1
- First release
